<template>
  <div>
    <p>{{ description }}</p>
    <p>{{ content }}</p>
  </div>
</template>

<script setup lang="ts">
import { inject, onMounted, ref } from "vue";
import Textarea from 'primevue/textarea';

const dialogRef: any = inject("dialogRef");

let params: { description: string, content: string };

const description = ref("");
const content = ref("");
// {{ textValue }}

onMounted(() => {
  params = dialogRef.value.data;
  description.value = params.description;
  content.value = params.content;
})

</script>
<style scoped></style>
